---
title: "Search for a class enrollment"
slug: "search-for-a-class-enrollment"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/search-for-a-class-enrollment"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for a class enrollment

Get/SearchClassEnrollments

Allows you to search for a class enrollment.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. if not supplied, a default value of 100 is used.

sortstring

The value you want to sort by. If not supplied, a default value of "Name" will be used. You can append " DESC" after the sort value to sort descending. For example, "Name DESC" would sort by name in descending order. Possible values:

- Name
- Program
- CompanyOrganization
- Owner
- Company
- Starts
- Expires
- Size
- Used
- Created
- LastModified

classNamestring

An optional parameter used to filter for class enrollments by class name. When specified, only class enrollments that have names that contain or match this value will be returned.

classIdinteger (int32) 

An optional parameter used to filter for class enrollments by classid. When specified, only class enrollments that have an associated class with that Id will be returned.

Example10
studentIdinteger (int32) 

An optional parameter used to filter for class enrollments by the associated student's ID. When specified, only class enrollments that have an associated student with that Id will be returned.

Example10
enrollmentStatusIdinteger (int32) 

An optional parameter used to filter for class enrollments based on the status of the class enrollment

- 0 = Request
- 10 = Cancel
- 20 = Waitlist
- 30 = Approve
- 40 = Deny
- 50 = Audit
- 60 = Enroll

createdAfterinteger (int32) 

An optional parameter used to filter for class enrollments created after a specified date. When used in conjunction with the "createdBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example10
createdBeforeinteger (int32) 

An optional parameter used to filter for class enrollments created before a specified date. When used in conjunction with the "createdAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example10
lastModifiedAfterinteger (int32) 

An optional parameter used to filter for class enrollments updated after a specified date. When used in conjunction with the "lastModifiedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example10
lastModifiedBeforeinteger (int32) 

An optional parameter used to filter for class enrollments updated before a specified date. When used in conjunction with the "lastModifiedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example10

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='e6735a17-18e8-4808-bd71-f12263caf99b'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

TotalCountinteger  (int32)    

The total number of results that match the search conditions, not all of which may be in the current result set.

Example1
TotalPagesinteger  (int32)    

The total number of result pages that match the search conditions.

Example1
Results Array of object (ClassEnrollmentSearch)   

See ClassEnrollment

object  Idinteger  (int32)    

The class enrollment's unique identifier

Example10
ExternalIdstring   | null  

The class enrollment's external ID, usually a unique identifier from the calling system

ExampleE3G5YZFREFEQ9371
UserIdinteger  (int32)    

The Id of the related user

Example897615
UserExternalIdinteger  (int32)    

The external Id of the related user

Example897615
ClassIdinteger  (int32)    

The Id of the related class

Example4421
ClassNamestring    

The name of the class

ExampleClass name sample
ClassExternalIdinteger  (int32)    

The external Id of the related class

Example4421
EnrollmentStatusIdinteger  (int32)    

Indicates the status of the class enrollment

- 0 = Request
- 10 = Cancel
- 20 = Waitlist
- 30 = Approve
- 40 = Deny
- 50 = Audit
- 60 = Enroll

Example60
CompletionStatusIdinteger  (int32)    

Indicates the completion status of the class enrollment

- 0 = Unknown
- 10 = Attending
- 20 = Complete
- 30 = Incomplete
- 40 = NoShow
- 50 = Failed

Example0
LateCancelboolean    

Indicates if the class enrollment was cancelled outside the late cancellation window.

Examplefalse
Retakeboolean    

Indicates if the class enrollment is a retake.

Examplefalse
LocationTypeIdinteger  (int32)   | null  

Indicates the location type that the student is assigned to attend the class

- 0 = To Be Determined
- 10 = Classroom
- 20 = Remote Classroom
- 30 = Virtual

Example0
ClassroomIdinteger  (int32)   | null  

The ID of the classroom (if any) in which the student is assigned to attend the class.

Example3456
HoursSpentinteger  (int32)   | null  

The hours spent by the student in the class enrollment.

Example20
Gradeinteger  (int32)   | null  

The grade the student received for the class enrollment.

Example10
LastModifiedinteger  (int64)    

When the class enrollment was last modified. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1295375536
